import request from '@/utils/request'

// 查询药品基础信息列表
export function listMedicineBasic(query) {
  return request({
    url: '/health/medicineBasic/list',
    method: 'get',
    params: query
  })
}

// 查询药品基础信息详细
export function getMedicineBasic(id) {
  return request({
    url: '/health/medicineBasic/' + id,
    method: 'get'
  })
}

// 新增药品基础信息
export function addMedicineBasic(data) {
  return request({
    url: '/health/medicineBasic',
    method: 'post',
    data
  })
}

// 修改药品基础信息
export function updateMedicineBasic(data) {
  return request({
    url: '/health/medicineBasic',
    method: 'put',
    data
  })
}

// 删除药品基础信息
export function delMedicineBasic(id) {
  return request({
    url: '/health/medicineBasic/' + id,
    method: 'delete'
  })
}
